net.corda.contracts.clause

## Class BilateralNetState<P>

- net.corda.contracts.clause.BilateralNetState<P>

- All Implemented Interfaces:
    NetState<P>

      public class BilateralNetState<P>
      implements NetState<P>

  Subset of state, containing the elements which must match for two obligation transactions to be nettable. If two obligation state objects produce equal bilateral net states, they are considered safe to net directly. Bilateral states are used in close-out netting.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BilateralNetState(java.util.Set<? extends net.corda.core.crypto.CompositeKey> partyKeys, Obligation.Terms<P> template)` Subset of state, containing the elements which must match for two obligation transactions to be nettable. If two obligation state objects produce equal bilateral net states, they are considered safe to net directly. Bilateral states are used in close-out netting.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<net.corda.core.crypto.CompositeKey>` | `component1()`
    `Obligation.Terms<P>` | `component2()`
    `BilateralNetState<P>` | `copy(java.util.Set<? extends net.corda.core.crypto.CompositeKey> partyKeys, Obligation.Terms<P> template)` Subset of state, containing the elements which must match for two obligation transactions to be nettable. If two obligation state objects produce equal bilateral net states, they are considered safe to net directly. Bilateral states are used in close-out netting.
    `boolean` | `equals(java.lang.Object p)`
    `java.util.Set<net.corda.core.crypto.CompositeKey>` | `getPartyKeys()`
    `Obligation.Terms<P>` | `getTemplate()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from interface net.corda.contracts.clause.NetState

      `getTemplate`

- - ### Constructor Detail

    - #### BilateralNetState

          public BilateralNetState(java.util.Set<? extends net.corda.core.crypto.CompositeKey> partyKeys,
                                   Obligation.Terms<P> template)

      Subset of state, containing the elements which must match for two obligation transactions to be nettable. If two obligation state objects produce equal bilateral net states, they are considered safe to net directly. Bilateral states are used in close-out netting.

  - ### Method Detail

    - #### getPartyKeys

          public java.util.Set<net.corda.core.crypto.CompositeKey> getPartyKeys()

    - #### getTemplate

          public Obligation.Terms<P> getTemplate()

    - #### component1

          public java.util.Set<net.corda.core.crypto.CompositeKey> component1()

    - #### component2

          public Obligation.Terms<P> component2()

    - #### copy

          public BilateralNetState<P> copy(java.util.Set<? extends net.corda.core.crypto.CompositeKey> partyKeys,
                                           Obligation.Terms<P> template)

      Subset of state, containing the elements which must match for two obligation transactions to be nettable. If two obligation state objects produce equal bilateral net states, they are considered safe to net directly. Bilateral states are used in close-out netting.

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)